com.independentsoft.exchange

## Class MimeContent

- java.lang.Object
- - com.independentsoft.exchange.MimeContent

-     public class MimeContent
      extends java.lang.Object

  Contains the native Multipurpose Internet Mail Extensions (MIME) stream of an object that is represented in base64Binary format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MimeContent()` Initializes a new instance of the MimeContent class.
    `MimeContent(java.lang.String text)` Initializes a new instance of the MimeContent class.
    `MimeContent(java.lang.String text, java.lang.String characterSet)` Initializes a new instance of the MimeContent class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCharacterSet()` Gets the International Standards Organization (ISO) name of the character set used in the MIME message.
    `java.lang.String` | `getText()` Gets a text value that represents a base64Binary MIME stream is required if this element is used.
    `void` | `setCharacterSet(java.lang.String characterSet)` Sets the International Standards Organization (ISO) name of the character set used in the MIME message.
    `void` | `setText(java.lang.String text)` Sets a text value that represents a base64Binary MIME stream is required if this element is used.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MimeContent

          public MimeContent()

      Initializes a new instance of the MimeContent class.

    - #### MimeContent

          public MimeContent(java.lang.String text)

      Initializes a new instance of the MimeContent class.
      Parameters:
        `text` - the text

    - #### MimeContent

          public MimeContent(java.lang.String text,
                             java.lang.String characterSet)

      Initializes a new instance of the MimeContent class.
      Parameters:
        `text` - the text
        `characterSet` - the character set

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Gets a text value that represents a base64Binary MIME stream is required if this element is used.
      Returns:
        the text

    - #### setText

          public void setText(java.lang.String text)

      Sets a text value that represents a base64Binary MIME stream is required if this element is used.
      Parameters:
        `text` - the new text

    - #### getCharacterSet

          public java.lang.String getCharacterSet()

      Gets the International Standards Organization (ISO) name of the character set used in the MIME message.
      Returns:
        the character set

    - #### setCharacterSet

          public void setCharacterSet(java.lang.String characterSet)

      Sets the International Standards Organization (ISO) name of the character set used in the MIME message.
      Parameters:
        `characterSet` - the new character set